Totem s'ouvre et ce referme aussitot


#1

Bonsoir a tous,

Voila mon probleme est dans le titre
je lance totem et il apparait et ce referme aussi tot
qqu aurait deja vu ca ???

merci d’avance


#2

slt,

Ouvre un term et lance le depuis ce term tu devrait peut-etre avoirs des messages d’erreurs.


#3

** (totem:7082): WARNING **: Failed to connect to the D-BUS daemon: Unable to determine the address of the message bus
Error: “/home/gangan/.kde/socket-Xkiki” is not a link or a directory.

Error: “/home/gangan/.kde/socket-Xkiki” is not a link or a directory.
Error: “/home/gangan/.kde/socket-Xkiki” is not a link or a directory.

(The previous message was repeated 1 times.)
can’t create mcop directory

j’ai crée le fichier vu qu’il me disait qu’il le trouvait pas mais il aime pas non plus visiblement
j’ai reinstallé hal et dbus rien non plus…


#4

as tu fait une mise à jour ?
si oui, complète ?
et as tu redémarré ton serveur X ?
sinon, il faut faire une réinstall de dbus. Le problême est de savoir si chez toi, c’est dbus, ou dbus-1 qui est nécessaire. Tu es en sarge ?


#5

Once again. J’avais pas lu jusqu’au bout.
Ma solution n’est donc pas suffisante, mais mes questions sont d’actualité…


#6

oui je fais des mise a jour regulierement
le truck qui a pu casser la chose peut etre c’est hier quand j’ai installé k3b
je viens de redemarrer toujours le meme probleme :s
je suis en testing


#7

dbus est au coeur de qt, donc de kde. Je crains le pire pour le reste de ton interface.
j’ai fait une recherche sur dbus, de ce qui est installé chez moi, en testing, en excluant ce qui concerne python:emeraude:~$ aptitude search dbus | grep "^·\?.\?i" | grep -v python idA dbus - simple interprocess messaging system ci dbus-1 - simple interprocess messaging system ci dbus-glib-1 - simple interprocess messaging system (GLib i libdbus-1-2 - simple interprocess messaging system i A libdbus-glib-1-2 - simple interprocess messaging system (GLib id libdbus-qt-1-1c2 - simple interprocess messaging system (Qt-b à la limite, réinstaller les libs aussi chez toi ?
en même temps que k3b, tu es bien absolument sûr d’avoir fait un dist-upgrade, et rouvert une session kde ?


#8

je suis sous gnome et j’ai jamais fais de dist-upgrade

gangan@Xkiki:~$ aptitude search dbus | grep “^·?.?i” | grep -v python
i dbus - simple interprocess messaging system
i libdbus-1-2 - simple interprocess messaging system
i libdbus-glib-1-2 - simple interprocess messaging system (GLibi libdbus-qt-1-1c2 - simple interprocess messaging system (Qt-b


#9

[quote=“gangan”]je suis sous gnome et j’ai jamais fais de dist-upgrade[/quote] Tout s’explique. Il y a eu une grosse mise à jour etch (je ne sais pas si tu as vu le fil à ce sujet) justement pour le passage aux nouvelles versions de kde et gnome.
Le fil: forum.debian-fr.org/viewtopic.php?t=2297
Donc, de deux choses l’une: ou bien tu fais un “apt-get dist-upgrade”, ou bien tu réinstalles un à un les paquets kde.
Même dans le premier cas, tu devra règler des problême de cohérence de version…

[quote=“gangan”]gangan@Xkiki:~$ aptitude search dbus | grep “^·?.?i” | grep -v python
i dbus - simple interprocess messaging system
i libdbus-1-2 - simple interprocess messaging system
i libdbus-glib-1-2 - simple interprocess messaging system (GLibi libdbus-qt-1-1c2 - simple interprocess messaging system (Qt-b[/quote]
tu peux essayer de ne mettre à jour QUE ces paquetqs là, mais ca me semble à priori insuffisant.


#10

j’ai mis etch a la place de testing dans mon sources.lst d’apt
et j’ai fais un apt-get dist-upgrade
et toujours :

gangan@Xkiki:~$ totem

** (totem:4693): WARNING **: Failed to connect to the D-BUS daemon: Unable to determine the address of the message bus

** (totem:4693): WARNING **: No GConf default audio sink key and osssink doesn’t work
** Message: failed to render default audio sink from gconf

avec une fenetre popup : Totem n’a pas pu démarrer.aucune raison


#11

peux tu me donner la ligne suivante, quand tu fais ton “dist-upgrade”:

0 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 80 non mis à jour.peux tu donner ton sources.list ?
as tu essayé de réinstaller des paquets autour de gconf ?


#12

merci de ton aide en tout cas :slightly_smiling:

Xkiki:/# apt-get dist-upgrade
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Calcul de la mise à jour… Fait
Les paquets suivants ont été conservés :
gnome-cups-manager
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
W: Impossible de localiser la liste des paquets sources planet-moll.de etch/main Packages (/var/lib/apt/lists/www.planet-moll.de_debian_dists_etch_main_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)
W: Vous pouvez lancer « apt-get update » pour corriger ces problÚmes.

mon sources.lst

#deb file:///cdrom/ etch main

deb ftp://ftp.fr.debian.org/debian/ etch main
deb-src ftp://ftp.fr.debian.org/debian/ etch main
deb planet-moll.de/debian etch main

deb security.debian.org/ etch/updates main

j’ai pas touché a gconf d’ailleur je sais pas ce que c’est


#13

es tu sûr d’avoir fait un “update” avant de faire ton “dist-upgrade” ?
par ailleurs, ta source “planète molle” provoque un warning, et les autres sources ne sont pas complète (pas contrib ni non-free) c’est voulu ?

Sinon, voila un sources.list en etch:

[code]## etch
deb http://ftp2.fr.debian.org/debian/ etch main contrib non-free
#deb-src http://ftp2.fr.debian.org/debian/ etch main contrib non-free

security

deb http://security.debian.org/ etch/updates main contrib non-free
#deb-src http://security.debian.org/ etch/updates main contrib non-free
[/code]
J’ai mis en commentaire les deb-src: si tu ne compiles pas tes paquets, ils ne te servent pas.
apt-get update,
puis apt-get upgrade ou dist-upgrade ou encore dselect-upgrade,
si dans la ligne de résultat, il te reste des fichiers “non mis à jour”, tu alternes le mode d’upgrade,
et quand ça veut plus bouger, tu fais un apt-get install <un paquet qui veut pas s’installer>, et tu nous ramène le résultat.
Par exemple, avec ton sources.list actuel, il faudrait comprendre pourquoi gnome-cups-manager ne veut pas s’installer.
PS: tu as des boutons “code”, et “quote” pour mettre en valeur des textes dans le forum, si tu pouvais t’en servir, ca serait agréable.


#14

Xkiki:/# apt-get update
Réception de : 1 ftp2.fr.debian.org etch Release.gpg [189B]
Atteint ftp2.fr.debian.org etch Release
Atteint ftp2.fr.debian.org etch/main Packages
Atteint ftp2.fr.debian.org etch/contrib Packages
Atteint ftp2.fr.debian.org etch/non-free Packages
Réception de : 2 security.debian.org etch/updates Release.gpg [189B]
Atteint security.debian.org etch/updates Release
Ign security.debian.org etch/updates/main Packages
Ign security.debian.org etch/updates/contrib Packages
Ign security.debian.org etch/updates/non-free Packages
Atteint security.debian.org etch/updates/main Packages
Atteint security.debian.org etch/updates/contrib Packages
Atteint security.debian.org etch/updates/non-free Packages
2o réceptionnés en 1s (1o/s)
Lecture des listes de paquets… Fait

Xkiki:/# apt-get upgrade
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Les paquets suivants ont été conservés :
gnome-cups-manager
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.

Xkiki:/# apt-get dist-upgrade
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Calcul de la mise à jour… Fait
Les paquets suivants ont été conservés :
gnome-cups-manager
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.

Xkiki:/# apt-get install gnome-cups-manager
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Les paquets supplémentaires suivants seront installés :
libgnomecupsui1.0-1c2a
Les paquets suivants seront ENLEVÉS :
libgnomecupsui1.0-1
Les NOUVEAUX paquets suivants seront installés :
libgnomecupsui1.0-1c2a
Les paquets suivants seront mis à jour :
gnome-cups-manager
1 mis à jour, 1 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 329ko dans les archives.
AprÚs dépaquetage, 73,7ko d’espace disque seront libérés.
Souhaitez-vous continuer [O/n]Â ? o
Réception de : 1 ftp2.fr.debian.org etch/main gnome-cups-manager 0.31-1.1 [239kB]
Réception de : 2 ftp2.fr.debian.org etch/main libgnomecupsui1.0-1c2a 0.31-1.1 [90,0kB]
329ko réceptionnés en 1s (311ko/s)
(Lecture de la base de données… 81188 fichiers et répertoires déjà installés.)
Préparation du remplacement de gnome-cups-manager 0.31-1 (en utilisant …/gnome-cups-manager_0.31-1.1_i386.deb) …
Dépaquetage de la mise à jour de gnome-cups-manager …
(Lecture de la base de données… 81187 fichiers et répertoires déjà installés.)
Suppression de libgnomecupsui1.0-1 …
Sélection du paquet libgnomecupsui1.0-1c2a précédemment désélectionné.
(Lecture de la base de données… 81181 fichiers et répertoires déjà installés.)
Dépaquetage de libgnomecupsui1.0-1c2a (à partir de …/libgnomecupsui1.0-1c2a_0.31-1.1_i386.deb) …
Paramétrage de libgnomecupsui1.0-1c2a (0.31-1.1) …

Xkiki:/# apt-get upgrade
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.


#15

Bon, je croyais que ça te ferais faire plus de màj…
mais ça ne résoud pas ton problême avec totem, si ?
essayes de demarrer totem avec l’option --disable-sound, pour voir.
sinon, essayes de passer de totem-xine à totem-gstreamer, ou l’inverse, pour voir…


#16

disable sound ne change rien :frowning:
comment je lance totem-xine ou totem-gstreamer ? j’ai les deux


#17

ce sont deux paquets différent (à priori incompatibles) et tu dois donc en installer un, le tester, installer l’autre, le tester…


#18

Xkiki:/home/gangan# xfmedia &
[1] 5167
Xkiki:/home/gangan# Creating link /root/.kde/socket-Xkiki.
can’t create mcop directory

:open_mouth:


#19

[quote=“gangan”]Xkiki:/home/gangan# xfmedia &
[1] 5167
Xkiki:/home/gangan# Creating link /root/.kde/socket-Xkiki.
can’t create mcop directory

:open_mouth:[/quote]nouveau probleme= nouveau fil
sinon, c’est normal que les applis graphiques ne tournent pas en root dans une session utilisateur.
Si tu rouvres un fil, on te dira comment faire avec sudo. :wink: